Package rainbowPackage

# Class Diagnostics

java.lang.Object
rainbowPackage.Diagnostics

public class Diagnostics extends Object

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `double[]`
  `argb`
  `javafx.geometry.Rectangle2D`
  `bounds`
  `double`
  `colorBeingChecked`
  `ColorTooSimilar`
  `colorTooSimilar`
  `javafx.scene.paint.Color`
  `fxColor`
  `double`
  `opacityBeingChecked`
  `double[]`
  `rgb`
  `double`
  `xSlid`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Diagnostics(javafx.geometry.Rectangle2D Bounds)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Object`
  `ColorSlider(double x, double y, double xSlider, double BrightnessMultiplyer, int Gradations)`
  `Object`
  `ColorTooSimilar(double x, double y, double xSlider)`
  `Boolean`
  `ColorTooSimilarFunction(ColorSlider Color1, ColorSlider Color2)`
  `double`
  `ColorValueFitter(double ColorToBeChecked)`
  `Object`
  `get()`
  `double`
  `OpacityValueFitter(double OpacityToBeChecked)`
  `Object`
  `RainbowSoftColor(double x, double y, double xSlider, double BrightnessMultiplyer, int Gradations, javafx.scene.paint.Color[] FXcolorArray, double[][] ARGBcolorArray, double OpacityBefore, double OpacityAfter)`
  `Object`
  `RainbowSoftColorGlobalRainbowSoftSelector(double x, double y, double xSlider, double BrightnessMultiplyer, int Gradations, boolean Adjusted, javafx.scene.paint.Color[] FXcolorArray, double OpacityBefore, double OpacityAfter, boolean Reversed, boolean IsColorNum)`
  `void`
  `set(double[] RGB)`
  `void`
  `set(javafx.scene.paint.Color FXColor)`
  `javafx.scene.paint.Color`
  `ToFXColor()`
  `Object`
  `TransparencySlider(double x, double y, double xSlider, double BrightnessMultiplyer, int Gradations, double OpacityBefore, double OpacityAfter)`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### bounds

    public javafx.geometry.Rectangle2D bounds

  - ### colorTooSimilar

    public ColorTooSimilar colorTooSimilar

  - ### rgb

    public double[] rgb

  - ### argb

    public double[] argb

  - ### fxColor

    public javafx.scene.paint.Color fxColor

  - ### colorBeingChecked

    public double colorBeingChecked

  - ### opacityBeingChecked

    public double opacityBeingChecked

  - ### xSlid

    public double xSlid

- ## Constructor Details

  - ### Diagnostics

    public Diagnostics(javafx.geometry.Rectangle2D Bounds)

- ## Method Details

  - ### ToFXColor

    public javafx.scene.paint.Color ToFXColor()

  - ### ColorTooSimilar

    public Object ColorTooSimilar(double x, double y, double xSlider)

  - ### ColorSlider

    public Object ColorSlider(double x, double y, double xSlider, double BrightnessMultiplyer, int Gradations)

  - ### TransparencySlider

    public Object TransparencySlider(double x, double y, double xSlider, double BrightnessMultiplyer, int Gradations, double OpacityBefore, double OpacityAfter)

  - ### RainbowSoftColor

    public Object RainbowSoftColor(double x, double y, double xSlider, double BrightnessMultiplyer, int Gradations, javafx.scene.paint.Color[] FXcolorArray, double[][] ARGBcolorArray, double OpacityBefore, double OpacityAfter)

  - ### RainbowSoftColorGlobalRainbowSoftSelector

    public Object RainbowSoftColorGlobalRainbowSoftSelector(double x, double y, double xSlider, double BrightnessMultiplyer, int Gradations, boolean Adjusted, javafx.scene.paint.Color[] FXcolorArray, double OpacityBefore, double OpacityAfter, boolean Reversed, boolean IsColorNum)

  - ### ColorTooSimilarFunction

    public Boolean ColorTooSimilarFunction(ColorSlider Color1, ColorSlider Color2)

  - ### ColorValueFitter

    public double ColorValueFitter(double ColorToBeChecked)

  - ### OpacityValueFitter

    public double OpacityValueFitter(double OpacityToBeChecked)

  - ### set

    public void set(double[] RGB)

  - ### set

    public void set(javafx.scene.paint.Color FXColor)

  - ### get

    public Object get()